<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetAddInInfo Method (IEdmAddIn5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddIn5 Interface : GetAddInInfo Method (IEdmAddIn5)

Visual Basic
C#
C++/CLI

poInfo
  EdmAddInInfo structure; before returning this structure, populate it with information about your add-in; used by the Administration Add-ins dialog during add-in registration

poVault
  IEdmVault5; pointer to the active vault

poCmdMgr
  IEdmCmdMgr5; pointer to the command manager that you use to add hooks, menu commands, and toolbar buttons

Called by SOLIDWORKS PDM Professional to obtain information about this add-in and the commands it supports.

# Syntax

Visual Basic |
--- | ---

    Sub GetAddInInfo( _
       ByRef poInfo As EdmAddInInfo, _
       ByVal poVault As IEdmVault5, _
       ByVal poCmdMgr As IEdmCmdMgr5 _
    )

C# |
--- | ---

    void GetAddInInfo(
       out EdmAddInInfo poInfo,
       IEdmVault5 poVault,
       IEdmCmdMgr5 poCmdMgr
    )

C++/CLI |
--- | ---

    void GetAddInInfo(
    &   [Out] EdmAddInInfo poInfo,
    &   IEdmVault5^ poVault,
    &   IEdmCmdMgr5^ poCmdMgr
    )

#### Parameters

poInfo
  EdmAddInInfo structure; before returning this structure, populate it with information about your add-in; used by the Administration Add-ins dialog during add-in registration
poVault
  IEdmVault5; pointer to the active vault
poCmdMgr
  IEdmCmdMgr5; pointer to the command manager that you use to add hooks, menu commands, and toolbar buttons

# Example

See the IEdmAddin5 examples.

# Remarks

See IEdmAddIn5 for more information.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddIn5 Interface
IEdmAddIn5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional